Skip to main content
POST
Share SaaS resource

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

resourceType
enum<string>
required

Type of SaaS resource.

Available options:
bot
resourceId
string
required

SaaS resource identifier.

Body

application/json

Accounts to share the resource with.

accounts
string[]
required

List of sub account identifiers. Identifiers are account keys.

List of sub account identifiers. Identifiers are account keys.

Response

Accepted

requestId
string
required

Request identifier.